Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface GenctlPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenctlPackageImpl

    public interface GenctlPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `GenctlFactory`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `APPLIES_TO` The meta object id for the '`Applies To`' class
`static int` | `APPLIES_TO__APPLIES_TO_SUBCLASSES` The feature id for the 'Applies To Subclasses' attribute
`static int` | `APPLIES_TO__CLASS_NAME` The feature id for the 'Class Name' attribute
`static int` | `APPLIES_TO_FEATURE_COUNT` The number of structural features of the the 'Applies To' class
`static int` | `CLASS_NAME_DT` The meta object id for the 'Class Name DT' data type
`static GenctlPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `FILE_TYPE_DT` The meta object id for the 'File Type DT' data type
`static int` | `GENERATOR_CONTROL_AREA` The meta object id for the '`Generator Control Area`' class
`static int` | `GENERATOR_CONTROL_AREA__HELPER` The feature id for the 'Helper' containment reference list
`static int` | `GENERATOR_CONTROL_AREA__OUTPUT_ROOT` The feature id for the 'Output Root' attribute
`static int` | `GENERATOR_CONTROL_AREA__PROPERTY` The feature id for the 'Property' containment reference list
`static int` | `GENERATOR_CONTROL_AREA__RESOURCE_FACTORY` The feature id for the 'Resource Factory' containment reference list
`static int` | `GENERATOR_CONTROL_AREA__TEMPLATE` The feature id for the 'Template' containment reference list
`static int` | `GENERATOR_CONTROL_AREA__TEMPLATE_ROOT` The feature id for the 'Template Root' attribute
`static int` | `GENERATOR_CONTROL_AREA_FEATURE_COUNT` The number of structural features of the the 'Generator Control Area' class
`static int` | `GENERATOR_PREFERENCES` The meta object id for the '`Generator Preferences`' class
`static int` | `GENERATOR_PREFERENCES__TEMPLATE_PACKAGE_PREFERENCES` The feature id for the 'Template Package Preferences' containment reference list
`static int` | `GENERATOR_PREFERENCES_FEATURE_COUNT` The number of structural features of the the 'Generator Preferences' class
`static int` | `GENERATOR_PROPERTY` The meta object id for the '`Generator Property`' class
`static int` | `GENERATOR_PROPERTY__NAME` The feature id for the 'Name' attribute
`static int` | `GENERATOR_PROPERTY__VALUE` The feature id for the 'Value' attribute
`static int` | `GENERATOR_PROPERTY_FEATURE_COUNT` The number of structural features of the the 'Generator Property' class
`static int` | `MODEL_RESOURCE_FACTORY` The meta object id for the '`Model Resource Factory`' class
`static int` | `MODEL_RESOURCE_FACTORY__CLASS_NAME` The feature id for the 'Class Name' attribute
`static int` | `MODEL_RESOURCE_FACTORY__FILE_TYPE` The feature id for the 'File Type' attribute
`static int` | `MODEL_RESOURCE_FACTORY_FEATURE_COUNT` The number of structural features of the the 'Model Resource Factory' class
`static int` | `NAME_DT` The meta object id for the 'Name DT' data type
`static int` | `PATH_DT` The meta object id for the 'Path DT' data type
`static int` | `TEMPLATE` The meta object id for the '`Template`' class
`static int` | `TEMPLATE__APPLIES_TO` The feature id for the 'Applies To' containment reference list
`static int` | `TEMPLATE__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `TEMPLATE__ENGINE` The feature id for the 'Engine' attribute
`static int` | `TEMPLATE__MERGE_CLASS_NAME` The feature id for the 'Merge Class Name' attribute
`static int` | `TEMPLATE__NAME_TEMPLATE_PATH` The feature id for the 'Name Template Path' attribute
`static int` | `TEMPLATE__TEMPLATE_PATH` The feature id for the 'Template Path' attribute
`static int` | `TEMPLATE__WRITER` The feature id for the 'Writer' attribute
`static int` | `TEMPLATE_CONDITION` The meta object id for the '`Template Condition`' class
`static int` | `TEMPLATE_CONDITION__HELPER_NAME` The feature id for the 'Helper Name' attribute
`static int` | `TEMPLATE_CONDITION__PROPERTY_NAME` The feature id for the 'Property Name' attribute
`static int` | `TEMPLATE_CONDITION__PROPERTY_VALUE` The feature id for the 'Property Value' attribute
`static int` | `TEMPLATE_CONDITION_FEATURE_COUNT` The number of structural features of the the 'Template Condition' class
`static int` | `TEMPLATE_ENGINE_TYPE` The meta object id for the '`Template Engine Type`' enum
`static int` | `TEMPLATE_ENGINE_TYPE_OBJECT` The meta object id for the 'Template Engine Type Object' data type
`static int` | `TEMPLATE_FEATURE_COUNT` The number of structural features of the the 'Template' class
`static int` | `TEMPLATE_HELPER` The meta object id for the '`Template Helper`' class
`static int` | `TEMPLATE_HELPER__APPLIES_TO` The feature id for the 'Applies To' containment reference list
`static int` | `TEMPLATE_HELPER__HELPER_CLASS_NAME` The feature id for the 'Helper Class Name' attribute
`static int` | `TEMPLATE_HELPER__NAME` The feature id for the 'Name' attribute
`static int` | `TEMPLATE_HELPER_FEATURE_COUNT` The number of structural features of the the 'Template Helper' class
`static int` | `TEMPLATE_PACKAGE_PREFERENCES` The meta object id for the '`Template Package Preferences`' class
`static int` | `TEMPLATE_PACKAGE_PREFERENCES__NAME` The feature id for the 'Name' attribute
`static int` | `TEMPLATE_PACKAGE_PREFERENCES__PACKAGE_ID` The feature id for the 'Package Id' attribute
`static int` | `TEMPLATE_PACKAGE_PREFERENCES__PROPERTY` The feature id for the 'Property' containment reference list
`static int` | `TEMPLATE_PACKAGE_PREFERENCES_FEATURE_COUNT` The number of structural features of the the 'Template Package Preferences' class
`static int` | `TEMPLATE_WRITER_TYPE` The meta object id for the '`Template Writer Type`' enum
`static int` | `TEMPLATE_WRITER_TYPE_OBJECT` The meta object id for the 'Template Writer Type Object' data type
`static int` | `VALUE_DT` The meta object id for the 'Value DT' data type

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getAppliesTo_AppliesToSubclasses()` Returns the meta object for the attribute '`Applies To Subclasses`'
`org.eclipse.emf.ecore.EAttribute` | `getAppliesTo_ClassName()` Returns the meta object for the attribute '`Class Name`'
`org.eclipse.emf.ecore.EClass` | `getAppliesTo()` Returns the meta object for class '`Applies To`'
`org.eclipse.emf.ecore.EDataType` | `getClassNameDT()` Returns the meta object for data type '`Class Name DT`'
`org.eclipse.emf.ecore.EDataType` | `getFileTypeDT()` Returns the meta object for data type '`File Type DT`'
`GenctlFactory` | `getGenctlFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_Helper()` Returns the meta object for the containment reference list '`Helper`'
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorControlArea_OutputRoot()` Returns the meta object for the attribute '`Output Root`'
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_Property()` Returns the meta object for the containment reference list '`Property`'
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_ResourceFactory()` Returns the meta object for the containment reference list '`Resource Factory`'
`org.eclipse.emf.ecore.EReference` | `getGeneratorControlArea_Template()` Returns the meta object for the containment reference list '`Template`'
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorControlArea_TemplateRoot()` Returns the meta object for the attribute '`Template Root`'
`org.eclipse.emf.ecore.EClass` | `getGeneratorControlArea()` Returns the meta object for class '`Generator Control Area`'
`org.eclipse.emf.ecore.EReference` | `getGeneratorPreferences_TemplatePackagePreferences()` Returns the meta object for the containment reference list '`Template Package Preferences`'
`org.eclipse.emf.ecore.EClass` | `getGeneratorPreferences()` Returns the meta object for class '`Generator Preferences`'
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorProperty_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` | `getGeneratorProperty_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` | `getGeneratorProperty()` Returns the meta object for class '`Generator Property`'
`org.eclipse.emf.ecore.EAttribute` | `getModelResourceFactory_ClassName()` Returns the meta object for the attribute '`Class Name`'
`org.eclipse.emf.ecore.EAttribute` | `getModelResourceFactory_FileType()` Returns the meta object for the attribute '`File Type`'
`org.eclipse.emf.ecore.EClass` | `getModelResourceFactory()` Returns the meta object for class '`Model Resource Factory`'
`org.eclipse.emf.ecore.EDataType` | `getNameDT()` Returns the meta object for data type '`Name DT`'
`org.eclipse.emf.ecore.EDataType` | `getPathDT()` Returns the meta object for data type '`Path DT`'
`org.eclipse.emf.ecore.EReference` | `getTemplate_AppliesTo()` Returns the meta object for the containment reference list '`Applies To`'
`org.eclipse.emf.ecore.EReference` | `getTemplate_Condition()` Returns the meta object for the containment reference '`Condition`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_Engine()` Returns the meta object for the attribute '`Engine`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_MergeClassName()` Returns the meta object for the attribute '`Merge Class Name`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_NameTemplatePath()` Returns the meta object for the attribute '`Name Template Path`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_TemplatePath()` Returns the meta object for the attribute '`Template Path`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplate_Writer()` Returns the meta object for the attribute '`Writer`'
`org.eclipse.emf.ecore.EClass` | `getTemplate()` Returns the meta object for class '`Template`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplateCondition_HelperName()` Returns the meta object for the attribute '`Helper Name`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplateCondition_PropertyName()` Returns the meta object for the attribute '`Property Name`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplateCondition_PropertyValue()` Returns the meta object for the attribute '`Property Value`'
`org.eclipse.emf.ecore.EClass` | `getTemplateCondition()` Returns the meta object for class '`Template Condition`'
`org.eclipse.emf.ecore.EEnum` | `getTemplateEngineType()` Returns the meta object for enum '`Template Engine Type`'
`org.eclipse.emf.ecore.EDataType` | `getTemplateEngineTypeObject()` Returns the meta object for data type '`Template Engine Type Object`'
`org.eclipse.emf.ecore.EReference` | `getTemplateHelper_AppliesTo()` Returns the meta object for the containment reference list '`Applies To`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplateHelper_HelperClassName()` Returns the meta object for the attribute '`Helper Class Name`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplateHelper_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` | `getTemplateHelper()` Returns the meta object for class '`Template Helper`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplatePackagePreferences_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` | `getTemplatePackagePreferences_PackageId()` Returns the meta object for the attribute '`Package Id`'
`org.eclipse.emf.ecore.EReference` | `getTemplatePackagePreferences_Property()` Returns the meta object for the containment reference list '`Property`'
`org.eclipse.emf.ecore.EClass` | `getTemplatePackagePreferences()` Returns the meta object for class '`Template Package Preferences`'
`org.eclipse.emf.ecore.EEnum` | `getTemplateWriterType()` Returns the meta object for enum '`Template Writer Type`'
`org.eclipse.emf.ecore.EDataType` | `getTemplateWriterTypeObject()` Returns the meta object for data type '`Template Writer Type Object`'
`org.eclipse.emf.ecore.EDataType` | `getValueDT()` Returns the meta object for data type '`Value DT`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final GenctlPackage eINSTANCE

  The singleton instance of the package.

### APPLIES_TO

    static final int APPLIES_TO

  The meta object id for the '`Applies To`' class.

  See Also:
    `AppliesToImpl`, `GenctlPackageImpl.getAppliesTo()`, Constant Field Values

### APPLIES_TO__CLASS_NAME

    static final int APPLIES_TO__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  See Also:
    Constant Field Values

### APPLIES_TO__APPLIES_TO_SUBCLASSES

    static final int APPLIES_TO__APPLIES_TO_SUBCLASSES

  The feature id for the 'Applies To Subclasses' attribute.

  See Also:
    Constant Field Values

### APPLIES_TO_FEATURE_COUNT

    static final int APPLIES_TO_FEATURE_COUNT

  The number of structural features of the the 'Applies To' class.

  See Also:
    Constant Field Values

### GENERATOR_CONTROL_AREA

    static final int GENERATOR_CONTROL_AREA

  The meta object id for the '`Generator Control Area`' class.

  See Also:
    `GeneratorControlAreaImpl`, `GenctlPackageImpl.getGeneratorControlArea()`, Constant Field Values

### GENERATOR_CONTROL_AREA__TEMPLATE_ROOT

    static final int GENERATOR_CONTROL_AREA__TEMPLATE_ROOT

  The feature id for the 'Template Root' attribute.

  See Also:
    Constant Field Values

### GENERATOR_CONTROL_AREA__OUTPUT_ROOT

    static final int GENERATOR_CONTROL_AREA__OUTPUT_ROOT

  The feature id for the 'Output Root' attribute.

  See Also:
    Constant Field Values

### GENERATOR_CONTROL_AREA__PROPERTY

    static final int GENERATOR_CONTROL_AREA__PROPERTY

  The feature id for the 'Property' containment reference list.

  See Also:
    Constant Field Values

### GENERATOR_CONTROL_AREA__TEMPLATE

    static final int GENERATOR_CONTROL_AREA__TEMPLATE

  The feature id for the 'Template' containment reference list.

  See Also:
    Constant Field Values

### GENERATOR_CONTROL_AREA__HELPER

    static final int GENERATOR_CONTROL_AREA__HELPER

  The feature id for the 'Helper' containment reference list.

  See Also:
    Constant Field Values

### GENERATOR_CONTROL_AREA__RESOURCE_FACTORY

    static final int GENERATOR_CONTROL_AREA__RESOURCE_FACTORY

  The feature id for the 'Resource Factory' containment reference list.

  See Also:
    Constant Field Values

### GENERATOR_CONTROL_AREA_FEATURE_COUNT

    static final int GENERATOR_CONTROL_AREA_FEATURE_COUNT

  The number of structural features of the the 'Generator Control Area' class.

  See Also:
    Constant Field Values

### GENERATOR_PREFERENCES

    static final int GENERATOR_PREFERENCES

  The meta object id for the '`Generator Preferences`' class.

  See Also:
    `GeneratorPreferencesImpl`, `GenctlPackageImpl.getGeneratorPreferences()`, Constant Field Values

### GENERATOR_PREFERENCES__TEMPLATE_PACKAGE_PREFERENCES

    static final int GENERATOR_PREFERENCES__TEMPLATE_PACKAGE_PREFERENCES

  The feature id for the 'Template Package Preferences' containment reference list.

  See Also:
    Constant Field Values

### GENERATOR_PREFERENCES_FEATURE_COUNT

    static final int GENERATOR_PREFERENCES_FEATURE_COUNT

  The number of structural features of the the 'Generator Preferences' class.

  See Also:
    Constant Field Values

### GENERATOR_PROPERTY

    static final int GENERATOR_PROPERTY

  The meta object id for the '`Generator Property`' class.

  See Also:
    `GeneratorPropertyImpl`, `GenctlPackageImpl.getGeneratorProperty()`, Constant Field Values

### GENERATOR_PROPERTY__NAME

    static final int GENERATOR_PROPERTY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### GENERATOR_PROPERTY__VALUE

    static final int GENERATOR_PROPERTY__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### GENERATOR_PROPERTY_FEATURE_COUNT

    static final int GENERATOR_PROPERTY_FEATURE_COUNT

  The number of structural features of the the 'Generator Property' class.

  See Also:
    Constant Field Values

### MODEL_RESOURCE_FACTORY

    static final int MODEL_RESOURCE_FACTORY

  The meta object id for the '`Model Resource Factory`' class.

  See Also:
    `ModelResourceFactoryImpl`, `GenctlPackageImpl.getModelResourceFactory()`, Constant Field Values

### MODEL_RESOURCE_FACTORY__CLASS_NAME

    static final int MODEL_RESOURCE_FACTORY__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  See Also:
    Constant Field Values

### MODEL_RESOURCE_FACTORY__FILE_TYPE

    static final int MODEL_RESOURCE_FACTORY__FILE_TYPE

  The feature id for the 'File Type' attribute.

  See Also:
    Constant Field Values

### MODEL_RESOURCE_FACTORY_FEATURE_COUNT

    static final int MODEL_RESOURCE_FACTORY_FEATURE_COUNT

  The number of structural features of the the 'Model Resource Factory' class.

  See Also:
    Constant Field Values

### TEMPLATE

    static final int TEMPLATE

  The meta object id for the '`Template`' class.

  See Also:
    `TemplateImpl`, `GenctlPackageImpl.getTemplate()`, Constant Field Values

### TEMPLATE__TEMPLATE_PATH

    static final int TEMPLATE__TEMPLATE_PATH

  The feature id for the 'Template Path' attribute.

  See Also:
    Constant Field Values

### TEMPLATE__NAME_TEMPLATE_PATH

    static final int TEMPLATE__NAME_TEMPLATE_PATH

  The feature id for the 'Name Template Path' attribute.

  See Also:
    Constant Field Values

### TEMPLATE__ENGINE

    static final int TEMPLATE__ENGINE

  The feature id for the 'Engine' attribute.

  See Also:
    Constant Field Values

### TEMPLATE__WRITER

    static final int TEMPLATE__WRITER

  The feature id for the 'Writer' attribute.

  See Also:
    Constant Field Values

### TEMPLATE__MERGE_CLASS_NAME

    static final int TEMPLATE__MERGE_CLASS_NAME

  The feature id for the 'Merge Class Name' attribute.

  See Also:
    Constant Field Values

### TEMPLATE__CONDITION

    static final int TEMPLATE__CONDITION

  The feature id for the 'Condition' containment reference.

  See Also:
    Constant Field Values

### TEMPLATE__APPLIES_TO

    static final int TEMPLATE__APPLIES_TO

  The feature id for the 'Applies To' containment reference list.

  See Also:
    Constant Field Values

### TEMPLATE_FEATURE_COUNT

    static final int TEMPLATE_FEATURE_COUNT

  The number of structural features of the the 'Template' class.

  See Also:
    Constant Field Values

### TEMPLATE_CONDITION

    static final int TEMPLATE_CONDITION

  The meta object id for the '`Template Condition`' class.

  See Also:
    `TemplateConditionImpl`, `GenctlPackageImpl.getTemplateCondition()`, Constant Field Values

### TEMPLATE_CONDITION__PROPERTY_NAME

    static final int TEMPLATE_CONDITION__PROPERTY_NAME

  The feature id for the 'Property Name' attribute.

  See Also:
    Constant Field Values

### TEMPLATE_CONDITION__PROPERTY_VALUE

    static final int TEMPLATE_CONDITION__PROPERTY_VALUE

  The feature id for the 'Property Value' attribute.

  See Also:
    Constant Field Values

### TEMPLATE_CONDITION__HELPER_NAME

    static final int TEMPLATE_CONDITION__HELPER_NAME

  The feature id for the 'Helper Name' attribute.

  See Also:
    Constant Field Values

### TEMPLATE_CONDITION_FEATURE_COUNT

    static final int TEMPLATE_CONDITION_FEATURE_COUNT

  The number of structural features of the the 'Template Condition' class.

  See Also:
    Constant Field Values

### TEMPLATE_HELPER

    static final int TEMPLATE_HELPER

  The meta object id for the '`Template Helper`' class.

  See Also:
    `TemplateHelperImpl`, `GenctlPackageImpl.getTemplateHelper()`, Constant Field Values

### TEMPLATE_HELPER__NAME

    static final int TEMPLATE_HELPER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TEMPLATE_HELPER__HELPER_CLASS_NAME

    static final int TEMPLATE_HELPER__HELPER_CLASS_NAME

  The feature id for the 'Helper Class Name' attribute.

  See Also:
    Constant Field Values

### TEMPLATE_HELPER__APPLIES_TO

    static final int TEMPLATE_HELPER__APPLIES_TO

  The feature id for the 'Applies To' containment reference list.

  See Also:
    Constant Field Values

### TEMPLATE_HELPER_FEATURE_COUNT

    static final int TEMPLATE_HELPER_FEATURE_COUNT

  The number of structural features of the the 'Template Helper' class.

  See Also:
    Constant Field Values

### TEMPLATE_PACKAGE_PREFERENCES

    static final int TEMPLATE_PACKAGE_PREFERENCES

  The meta object id for the '`Template Package Preferences`' class.

  See Also:
    `TemplatePackagePreferencesImpl`, `GenctlPackageImpl.getTemplatePackagePreferences()`, Constant Field Values

### TEMPLATE_PACKAGE_PREFERENCES__PACKAGE_ID

    static final int TEMPLATE_PACKAGE_PREFERENCES__PACKAGE_ID

  The feature id for the 'Package Id' attribute.

  See Also:
    Constant Field Values

### TEMPLATE_PACKAGE_PREFERENCES__NAME

    static final int TEMPLATE_PACKAGE_PREFERENCES__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TEMPLATE_PACKAGE_PREFERENCES__PROPERTY

    static final int TEMPLATE_PACKAGE_PREFERENCES__PROPERTY

  The feature id for the 'Property' containment reference list.

  See Also:
    Constant Field Values

### TEMPLATE_PACKAGE_PREFERENCES_FEATURE_COUNT

    static final int TEMPLATE_PACKAGE_PREFERENCES_FEATURE_COUNT

  The number of structural features of the the 'Template Package Preferences' class.

  See Also:
    Constant Field Values

### TEMPLATE_ENGINE_TYPE

    static final int TEMPLATE_ENGINE_TYPE

  The meta object id for the '`Template Engine Type`' enum.

  See Also:
    `TemplateEngineType`, `GenctlPackageImpl.getTemplateEngineType()`, Constant Field Values

### TEMPLATE_WRITER_TYPE

    static final int TEMPLATE_WRITER_TYPE

  The meta object id for the '`Template Writer Type`' enum.

  See Also:
    `TemplateWriterType`, `GenctlPackageImpl.getTemplateWriterType()`, Constant Field Values

### CLASS_NAME_DT

    static final int CLASS_NAME_DT

  The meta object id for the 'Class Name DT' data type.

  See Also:
    `String`, `GenctlPackageImpl.getClassNameDT()`, Constant Field Values

### FILE_TYPE_DT

    static final int FILE_TYPE_DT

  The meta object id for the 'File Type DT' data type.

  See Also:
    `String`, `GenctlPackageImpl.getFileTypeDT()`, Constant Field Values

### NAME_DT

    static final int NAME_DT

  The meta object id for the 'Name DT' data type.

  See Also:
    `String`, `GenctlPackageImpl.getNameDT()`, Constant Field Values

### PATH_DT

    static final int PATH_DT

  The meta object id for the 'Path DT' data type.

  See Also:
    `String`, `GenctlPackageImpl.getPathDT()`, Constant Field Values

### TEMPLATE_ENGINE_TYPE_OBJECT

    static final int TEMPLATE_ENGINE_TYPE_OBJECT

  The meta object id for the 'Template Engine Type Object' data type.

  See Also:
    `TemplateEngineType`, `GenctlPackageImpl.getTemplateEngineTypeObject()`, Constant Field Values

### TEMPLATE_WRITER_TYPE_OBJECT

    static final int TEMPLATE_WRITER_TYPE_OBJECT

  The meta object id for the 'Template Writer Type Object' data type.

  See Also:
    `TemplateWriterType`, `GenctlPackageImpl.getTemplateWriterTypeObject()`, Constant Field Values

### VALUE_DT

    static final int VALUE_DT

  The meta object id for the 'Value DT' data type.

  See Also:
    `String`, `GenctlPackageImpl.getValueDT()`, Constant Field Values

Method Detail

### getAppliesTo

    org.eclipse.emf.ecore.EClass getAppliesTo()

  Returns the meta object for class '`Applies To`'.

  Returns:
    the meta object for class 'Applies To'.
  See Also:
    `AppliesTo`

### getAppliesTo_ClassName

    org.eclipse.emf.ecore.EAttribute getAppliesTo_ClassName()

  Returns the meta object for the attribute '`Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `AppliesTo.getClassName()`, `getAppliesTo()`

### getAppliesTo_AppliesToSubclasses

    org.eclipse.emf.ecore.EAttribute getAppliesTo_AppliesToSubclasses()

  Returns the meta object for the attribute '`Applies To Subclasses`'.

  Returns:
    the meta object for the attribute 'Applies To Subclasses'.
  See Also:
    `AppliesTo.isAppliesToSubclasses()`, `getAppliesTo()`

### getGeneratorControlArea

    org.eclipse.emf.ecore.EClass getGeneratorControlArea()

  Returns the meta object for class '`Generator Control Area`'.

  Returns:
    the meta object for class 'Generator Control Area'.
  See Also:
    `GeneratorControlArea`

### getGeneratorControlArea_TemplateRoot

    org.eclipse.emf.ecore.EAttribute getGeneratorControlArea_TemplateRoot()

  Returns the meta object for the attribute '`Template Root`'.

  Returns:
    the meta object for the attribute 'Template Root'.
  See Also:
    `GeneratorControlArea.getTemplateRoot()`, `getGeneratorControlArea()`

### getGeneratorControlArea_OutputRoot

    org.eclipse.emf.ecore.EAttribute getGeneratorControlArea_OutputRoot()

  Returns the meta object for the attribute '`Output Root`'.

  Returns:
    the meta object for the attribute 'Output Root'.
  See Also:
    `GeneratorControlArea.getOutputRoot()`, `getGeneratorControlArea()`

### getGeneratorControlArea_Property

    org.eclipse.emf.ecore.EReference getGeneratorControlArea_Property()

  Returns the meta object for the containment reference list '`Property`'.

  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `GeneratorControlArea.getProperty()`, `getGeneratorControlArea()`

### getGeneratorControlArea_Template

    org.eclipse.emf.ecore.EReference getGeneratorControlArea_Template()

  Returns the meta object for the containment reference list '`Template`'.

  Returns:
    the meta object for the containment reference list 'Template'.
  See Also:
    `GeneratorControlArea.getTemplate()`, `getGeneratorControlArea()`

### getGeneratorControlArea_Helper

    org.eclipse.emf.ecore.EReference getGeneratorControlArea_Helper()

  Returns the meta object for the containment reference list '`Helper`'.

  Returns:
    the meta object for the containment reference list 'Helper'.
  See Also:
    `GeneratorControlArea.getHelper()`, `getGeneratorControlArea()`

### getGeneratorControlArea_ResourceFactory

    org.eclipse.emf.ecore.EReference getGeneratorControlArea_ResourceFactory()

  Returns the meta object for the containment reference list '`Resource Factory`'.

  Returns:
    the meta object for the containment reference list 'Resource Factory'.
  See Also:
    `GeneratorControlArea.getResourceFactory()`, `getGeneratorControlArea()`

### getGeneratorPreferences

    org.eclipse.emf.ecore.EClass getGeneratorPreferences()

  Returns the meta object for class '`Generator Preferences`'.

  Returns:
    the meta object for class 'Generator Preferences'.
  See Also:
    `GeneratorPreferences`

### getGeneratorPreferences_TemplatePackagePreferences

    org.eclipse.emf.ecore.EReference getGeneratorPreferences_TemplatePackagePreferences()

  Returns the meta object for the containment reference list '`Template Package Preferences`'.

  Returns:
    the meta object for the containment reference list 'Template Package Preferences'.
  See Also:
    `GeneratorPreferences.getTemplatePackagePreferences()`, `getGeneratorPreferences()`

### getGeneratorProperty

    org.eclipse.emf.ecore.EClass getGeneratorProperty()

  Returns the meta object for class '`Generator Property`'.

  Returns:
    the meta object for class 'Generator Property'.
  See Also:
    `GeneratorProperty`

### getGeneratorProperty_Name

    org.eclipse.emf.ecore.EAttribute getGeneratorProperty_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GeneratorProperty.getName()`, `getGeneratorProperty()`

### getGeneratorProperty_Value

    org.eclipse.emf.ecore.EAttribute getGeneratorProperty_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `GeneratorProperty.getValue()`, `getGeneratorProperty()`

### getModelResourceFactory

    org.eclipse.emf.ecore.EClass getModelResourceFactory()

  Returns the meta object for class '`Model Resource Factory`'.

  Returns:
    the meta object for class 'Model Resource Factory'.
  See Also:
    `ModelResourceFactory`

### getModelResourceFactory_ClassName

    org.eclipse.emf.ecore.EAttribute getModelResourceFactory_ClassName()

  Returns the meta object for the attribute '`Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `ModelResourceFactory.getClassName()`, `getModelResourceFactory()`

### getModelResourceFactory_FileType

    org.eclipse.emf.ecore.EAttribute getModelResourceFactory_FileType()

  Returns the meta object for the attribute '`File Type`'.

  Returns:
    the meta object for the attribute 'File Type'.
  See Also:
    `ModelResourceFactory.getFileType()`, `getModelResourceFactory()`

### getTemplate

    org.eclipse.emf.ecore.EClass getTemplate()

  Returns the meta object for class '`Template`'.

  Returns:
    the meta object for class 'Template'.
  See Also:
    `Template`

### getTemplate_AppliesTo

    org.eclipse.emf.ecore.EReference getTemplate_AppliesTo()

  Returns the meta object for the containment reference list '`Applies To`'.

  Returns:
    the meta object for the containment reference list 'Applies To'.
  See Also:
    `Template.getAppliesTo()`, `getTemplate()`

### getTemplateCondition

    org.eclipse.emf.ecore.EClass getTemplateCondition()

  Returns the meta object for class '`Template Condition`'.

  Returns:
    the meta object for class 'Template Condition'.
  See Also:
    `TemplateCondition`

### getTemplateCondition_PropertyName

    org.eclipse.emf.ecore.EAttribute getTemplateCondition_PropertyName()

  Returns the meta object for the attribute '`Property Name`'.

  Returns:
    the meta object for the attribute 'Property Name'.
  See Also:
    `TemplateCondition.getPropertyName()`, `getTemplateCondition()`

### getTemplateCondition_PropertyValue

    org.eclipse.emf.ecore.EAttribute getTemplateCondition_PropertyValue()

  Returns the meta object for the attribute '`Property Value`'.

  Returns:
    the meta object for the attribute 'Property Value'.
  See Also:
    `TemplateCondition.getPropertyValue()`, `getTemplateCondition()`

### getTemplateCondition_HelperName

    org.eclipse.emf.ecore.EAttribute getTemplateCondition_HelperName()

  Returns the meta object for the attribute '`Helper Name`'.

  Returns:
    the meta object for the attribute 'Helper Name'.
  See Also:
    `TemplateCondition.getHelperName()`, `getTemplateCondition()`

### getTemplate_TemplatePath

    org.eclipse.emf.ecore.EAttribute getTemplate_TemplatePath()

  Returns the meta object for the attribute '`Template Path`'.

  Returns:
    the meta object for the attribute 'Template Path'.
  See Also:
    `Template.getTemplatePath()`, `getTemplate()`

### getTemplate_NameTemplatePath

    org.eclipse.emf.ecore.EAttribute getTemplate_NameTemplatePath()

  Returns the meta object for the attribute '`Name Template Path`'.

  Returns:
    the meta object for the attribute 'Name Template Path'.
  See Also:
    `Template.getNameTemplatePath()`, `getTemplate()`

### getTemplate_Engine

    org.eclipse.emf.ecore.EAttribute getTemplate_Engine()

  Returns the meta object for the attribute '`Engine`'.

  Returns:
    the meta object for the attribute 'Engine'.
  See Also:
    `Template.getEngine()`, `getTemplate()`

### getTemplate_Writer

    org.eclipse.emf.ecore.EAttribute getTemplate_Writer()

  Returns the meta object for the attribute '`Writer`'.

  Returns:
    the meta object for the attribute 'Writer'.
  See Also:
    `Template.getWriter()`, `getTemplate()`

### getTemplate_MergeClassName

    org.eclipse.emf.ecore.EAttribute getTemplate_MergeClassName()

  Returns the meta object for the attribute '`Merge Class Name`'.

  Returns:
    the meta object for the attribute 'Merge Class Name'.
  See Also:
    `Template.getMergeClassName()`, `getTemplate()`

### getTemplate_Condition

    org.eclipse.emf.ecore.EReference getTemplate_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `Template.getCondition()`, `getTemplate()`

### getTemplateHelper

    org.eclipse.emf.ecore.EClass getTemplateHelper()

  Returns the meta object for class '`Template Helper`'.

  Returns:
    the meta object for class 'Template Helper'.
  See Also:
    `TemplateHelper`

### getTemplateHelper_Name

    org.eclipse.emf.ecore.EAttribute getTemplateHelper_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `TemplateHelper.getName()`, `getTemplateHelper()`

### getTemplateHelper_HelperClassName

    org.eclipse.emf.ecore.EAttribute getTemplateHelper_HelperClassName()

  Returns the meta object for the attribute '`Helper Class Name`'.

  Returns:
    the meta object for the attribute 'Helper Class Name'.
  See Also:
    `TemplateHelper.getHelperClassName()`, `getTemplateHelper()`

### getTemplateHelper_AppliesTo

    org.eclipse.emf.ecore.EReference getTemplateHelper_AppliesTo()

  Returns the meta object for the containment reference list '`Applies To`'.

  Returns:
    the meta object for the containment reference list 'Applies To'.
  See Also:
    `TemplateHelper.getAppliesTo()`, `getTemplateHelper()`

### getTemplatePackagePreferences

    org.eclipse.emf.ecore.EClass getTemplatePackagePreferences()

  Returns the meta object for class '`Template Package Preferences`'.

  Returns:
    the meta object for class 'Template Package Preferences'.
  See Also:
    `TemplatePackagePreferences`

### getTemplatePackagePreferences_PackageId

    org.eclipse.emf.ecore.EAttribute getTemplatePackagePreferences_PackageId()

  Returns the meta object for the attribute '`Package Id`'.

  Returns:
    the meta object for the attribute 'Package Id'.
  See Also:
    `TemplatePackagePreferences.getPackageId()`, `getTemplatePackagePreferences()`

### getTemplatePackagePreferences_Name

    org.eclipse.emf.ecore.EAttribute getTemplatePackagePreferences_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `TemplatePackagePreferences.getName()`, `getTemplatePackagePreferences()`

### getTemplatePackagePreferences_Property

    org.eclipse.emf.ecore.EReference getTemplatePackagePreferences_Property()

  Returns the meta object for the containment reference list '`Property`'.

  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `TemplatePackagePreferences.getProperty()`, `getTemplatePackagePreferences()`

### getTemplateEngineType

    org.eclipse.emf.ecore.EEnum getTemplateEngineType()

  Returns the meta object for enum '`Template Engine Type`'.

  Returns:
    the meta object for enum 'Template Engine Type'.
  See Also:
    `TemplateEngineType`

### getTemplateWriterType

    org.eclipse.emf.ecore.EEnum getTemplateWriterType()

  Returns the meta object for enum '`Template Writer Type`'.

  Returns:
    the meta object for enum 'Template Writer Type'.
  See Also:
    `TemplateWriterType`

### getClassNameDT

    org.eclipse.emf.ecore.EDataType getClassNameDT()

  Returns the meta object for data type '`Class Name DT`'.

  Returns:
    the meta object for data type 'Class Name DT'.
  See Also:
    `String`

### getFileTypeDT

    org.eclipse.emf.ecore.EDataType getFileTypeDT()

  Returns the meta object for data type '`File Type DT`'.

  Returns:
    the meta object for data type 'File Type DT'.
  See Also:
    `String`

### getNameDT

    org.eclipse.emf.ecore.EDataType getNameDT()

  Returns the meta object for data type '`Name DT`'.

  Returns:
    the meta object for data type 'Name DT'.
  See Also:
    `String`

### getPathDT

    org.eclipse.emf.ecore.EDataType getPathDT()

  Returns the meta object for data type '`Path DT`'.

  Returns:
    the meta object for data type 'Path DT'.
  See Also:
    `String`

### getTemplateEngineTypeObject

    org.eclipse.emf.ecore.EDataType getTemplateEngineTypeObject()

  Returns the meta object for data type '`Template Engine Type Object`'.

  Returns:
    the meta object for data type 'Template Engine Type Object'.
  See Also:
    `TemplateEngineType`

### getTemplateWriterTypeObject

    org.eclipse.emf.ecore.EDataType getTemplateWriterTypeObject()

  Returns the meta object for data type '`Template Writer Type Object`'.

  Returns:
    the meta object for data type 'Template Writer Type Object'.
  See Also:
    `TemplateWriterType`

### getValueDT

    org.eclipse.emf.ecore.EDataType getValueDT()

  Returns the meta object for data type '`Value DT`'.

  Returns:
    the meta object for data type 'Value DT'.
  See Also:
    `String`

### getGenctlFactory

    GenctlFactory getGenctlFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD